RepositoriesConfigurer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.config
[Groovy] Class RepositoriesConfigurer

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.resolve.config.AbstractDependencyManagementConfigurer
              org.codehaus.groovy.grails.resolve.config.RepositoriesConfigurer

    class RepositoriesConfigurer
    extends AbstractDependencyManagementConfigurer

Field Summary

Fields inherited from class AbstractDependencyManagementConfigurer
context

Constructor Summary
`RepositoriesConfigurer(DependencyConfigurationContext context)`

Method Summary
`void` | `ebr()`
`void` | `flatDir(java.util.Map args)`
`void` | `grailsCentral()`
`void` | `grailsHome()`
`void` | `grailsPlugins()`
`void` | `grailsRepo(java.lang.String url, java.lang.String name = null)` Defines a repository that uses Grails plugin repository format.
`void` | `inherit(boolean b)`
`void` | `inherits(boolean b)`
`void` | `mavenCentral()`
`void` | `mavenLocal(java.lang.String repoPath = null)`
`void` | `mavenRepo(java.lang.String url)`
`void` | `mavenRepo(java.util.Map args)`
`void` | `resolver(org.apache.ivy.plugins.resolver.DependencyResolver resolver)`

Methods inherited from class AbstractDependencyManagementConfigurer
getContext, getDependencyManager, getGrailsCoreDependencies

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### RepositoriesConfigurer

    RepositoriesConfigurer(DependencyConfigurationContext context)

Method Detail

### ebr

    @groovy.transform.CompileStatic
    void ebr()

### flatDir

    @groovy.transform.CompileStatic
    void flatDir(java.util.Map args)

### grailsCentral

    @groovy.transform.CompileStatic
    void grailsCentral()

### grailsHome

    @groovy.transform.CompileStatic
    void grailsHome()

### grailsPlugins

    @groovy.transform.CompileStatic
    void grailsPlugins()

### grailsRepo

    @groovy.transform.CompileStatic
    void grailsRepo(java.lang.String url, java.lang.String name = null)

  Defines a repository that uses Grails plugin repository format. Grails repositories are SVN repositories that follow a particular convention that is not Maven compatible. Ivy is flexible enough to allow the configuration of a resolver that resolves artifacts against non-Maven repositories

### inherit

    @groovy.transform.CompileStatic
    void inherit(boolean b)

### inherits

    @groovy.transform.CompileStatic
    void inherits(boolean b)

### mavenCentral

    @groovy.transform.CompileStatic
    void mavenCentral()

### mavenLocal

    @groovy.transform.CompileStatic
    void mavenLocal(java.lang.String repoPath = null)

### mavenRepo

    @groovy.transform.CompileStatic
    void mavenRepo(java.lang.String url)

### mavenRepo

    @groovy.transform.CompileStatic
    void mavenRepo(java.util.Map args)

### resolver

    @groovy.transform.CompileStatic
    void resolver(org.apache.ivy.plugins.resolver.DependencyResolver resolver)

Groovy Documentation